# GUIButton

open class GUIButton<T : ForInventory>(icon: ItemStack, action: (GUIClickEvent<T>) -> Unit) : GUIElement<T>
Content copied to clipboard

## Functions

getItemStack
Link copied to clipboard
override fun getItemStack(slot: Int): ItemStack
Content copied to clipboard
onClick
Link copied to clipboard
override fun onClick(clickEvent: GUIClickEvent<T>)
Content copied to clipboard

## Inheritors

GUIButtonInventoryChange
Link copied to clipboard
GUIButtonPageChange
Link copied to clipboard
GUISpaceCompoundScrollButton
Link copied to clipboard